
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #746

Audacious should simply ignore not existent files in playlist (like winamp)

October 05, 2017 17:06 - vyachelsav ruban

Status: Closed Start date: October 05, 2017

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.10   

Affects version: 3.9   

Description

I use winamp interface.

And I have m3u playlist like:

Old Man's Child - 2003 - In Defiance Of Existence

Old Man's Child/2003 - In Defiance Of Existence/01 - Felonies Of The Christian Art.mp3

Old Man's Child/2003 - In Defiance Of Existence/02 - Agony Of Fallen Grace.mp3

Old Man's Child/2003 - In Defiance Of Existence/03 - Black Seeds On Virgin Soil.mp3

Old Man's Child/2003 - In Defiance Of Existence/04 - In Defiance Of Existance.mp3

Old Man's Child/2003 - In Defiance Of Existence/05 - Sacrifice Of Venegeance.mp3

Old Man's Child/2003 - In Defiance Of Existence/06 - The Soul Receiver.mp3

Old Man's Child/2003 - In Defiance Of Existence/08 - The Underworld Domains.mp3

Old Man's Child/2003 - In Defiance Of Existence/09 - Life Deprived.mp3

Norther - 2003 - Mirror Of Madness

Norther/2003 - Mirror Of Madness/01 - Blackhearted.mp3

Norther/2003 - Mirror Of Madness/02 - Betrayed.mp3

Norther/2003 - Mirror Of Madness/03 - Of Darkness And Light.mp3

Norther/2003 - Mirror Of Madness/04 - Midnight Walker.mp3

Norther/2003 - Mirror Of Madness/05 - Cry.mp3

Norther/2003 - Mirror Of Madness/06 - Everything Is An End.mp3

Norther/2003 - Mirror Of Madness/07 - Unleash Hell.mp3

Norther/2003 - Mirror Of Madness/08 - Dead.mp3

Norther/2003 - Mirror Of Madness/09 - Mirror Of Madness.mp3

Norther/2003 - Mirror Of Madness/11 - Smash.mp3

Moonsorrow - 2003 - Kivenkantaja

Moonsorrow/2003 - Kivenkantaja/01 - Rauniolla.mp3

Moonsorrow/2003 - Kivenkantaja/02 - Unohduksen Lapsi.mp3

Moonsorrow/2003 - Kivenkantaja/03 - Jumalten Kaupunki _ Tuhatvuotinen Perinto.mp3

Moonsorrow/2003 - Kivenkantaja/04 - Kivenkantaja.mp3

Moonsorrow/2003 - Kivenkantaja/05 - Tuulen Tytar (including Soturin Tie).mp3

I this playlist group and album names used like titles. Winamp simply skips this "files".

Audacious since 3.9 removes all unexistent files when adding such playlist.

And also audacious shows error message with unreadable file name with tons of '%' for every unexistent file.

Winamp behavior more convenient:

- Audacious should simply skip not existent files (not remove its from playlist) (since version 3.9)

- No errors should be displayed (all audacious versions)

Or at least option to enable this behavior may be added

History

#1 - October 06, 2017 02:00 - John Lindgren

- Category set to libaudcore

- Status changed from New to Closed

- Target version set to 3.10

- % Done changed from 0 to 100

Fixed.

May 03, 2025 1/2



#2 - January 04, 2019 16:15 - vyachelsav ruban

Since 3.10 audacious does not remove from playlist not existent files, as winamp and earlier audacious versions

But annoying messages with '%' are still shown. And no way to disable it
